#
# spec file for package kinput2 (Version v3.1beta2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  cannadev fwnndev xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip cannadev compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex fwnndev gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kinput2
Copyright:    distributable
Group:        User Interface/X
Autoreqprov:  on
Version:      v3.1beta2
Release:      52
# URL: 
Source0:      ftp://ftp.sra.co.jp/pub/x11/kinput2/%{name}-v3.1-beta2.tar.bz2
Patch0:       kinput2.app-defaults.patch
Patch1:       Kinput2.conf.patch
Patch2:       kinput2.man-page.patch
Patch3:       %{name}-v3.1-beta2.dif
BuildRoot:    %{_tmppath}/%{name}-root/
Summary:      kanji input server for X11
# Summary(ja): Xܸϥ
# %description -l ja
# Kinput2ܸϤɬפȤXץꥱѤϥСǤ

%description
Kinput2 is an input server for X11 applications
that want Japanese text input.

Authors:
--------
    Makoto Ishisone <ishisone@sra.co.jp>

SuSE series: j

%prep
%setup0 -n %{name}-v3.1-beta2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
head -n 21 cmd/kinput2.c > Copyright

%build
# update config.{guess,sub}
%{?suse_update_config}
# edit Kinput2.conf here ...
#sed -e 's/#define UseSj3/#undef UseSj3/' Kinput2.conf > Kinput2.conf.sed
#mv Kinput2.conf.sed Kinput2.conf
#sed -e 's/\/\* #define UseWnn \*\//#define UseWnn/' Kinput2.conf > Kinput2.conf.sed
#mv Kinput2.conf.sed Kinput2.conf
xmkmf 
make Makefiles
make depend
make 

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   install -d -m755 $RPM_BUILD_ROOT
fi
make install DESTDIR=$RPM_BUILD_ROOT
make install.man MANSUFFIX=1 LIBMANSUFFIX=3 DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Copyright IMPORTANT.beta NEWS README doc
%doc -P client/README
/usr/X11R6/bin/kinput2
%config /usr/X11R6/lib/X11/app-defaults/Kinput2
/usr/X11R6/man/man1/kinput2.1*
/usr/X11R6/lib/X11/ccdef/*

%changelog -n kinput2
* Mon Sep 24 2001 - mfabian@suse.de
- change the default keybindings for kinput2/Wnn to use
  ccdef.kinput2.egg. User feedback seems to indicate that nobody
  likes the "default default" keybindings from ccdef.kinput2
  (I don't like them either). The keybindings defined in
  ccdef.kinput2.egg are much more similar to the behaviour
  of other input methods like kinput2/Canna etc., therefore they
  seem to more natural for most people.
- fix the man-page to mention the new default.
* Thu Sep 06 2001 - mfabian@suse.de
- fix "too few arguments to function `jl_kanji_len'"
  (was always wrong, but went unnoticed until <schwab@suse.de>
  fixed some stuff in FreeWnn.
- remove warnings (passing incompatible pointer type etc.)
* Fri Aug 10 2001 - mfabian@suse.de
- updated to v3.1-beta2
* Sat May 12 2001 - schwab@suse.de
- Fix missing declarations.
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Wed Nov 01 2000 - mfabian@suse.de
- added support for wnn.
* Fri Jul 14 2000 - mfabian@suse.de
- new package: kinput2, Version v3.1 alpha1
